aboutsummaryrefslogtreecommitdiff
path: root/v2/src/bin/langs
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xv2/src/bin/langs69
1 files changed, 69 insertions, 0 deletions
diff --git a/v2/src/bin/langs b/v2/src/bin/langs
new file mode 100755
index 0000000..8e8aa63
--- /dev/null
+++ b/v2/src/bin/langs
@@ -0,0 +1,69 @@
+#!/bin/sh
+set -eu
+
+usage() {
+ cat <<-'EOF'
+ Usage:
+ langs
+ langs -h
+ EOF
+}
+
+help() {
+ cat <<-'EOF'
+
+
+ Options:
+ -h, --help show this message
+
+
+ List the supported languages, including english, to STDOUT.
+
+ This is done in the same way that po4a(1) does it: by listing
+ the po/*.po files, and getting the name from it.
+
+
+ Examples:
+
+ Just run it:
+
+ $ langs
+ en
+ pt
+ EOF
+}
+
+
+for flag in "$@"; do
+ case "$flag" in
+ --)
+ break
+ ;;
+ --help)
+ usage
+ help
+ exit
+ ;;
+ *)
+ ;;
+ esac
+done
+
+while getopts 'h' flag; do
+ case "$flag" in
+ h)
+ usage
+ help
+ exit
+ ;;
+ *)
+ usage >&2
+ exit 2
+ esac
+done
+shift $((OPTIND - 1))
+
+
+echo po/en.po po/*.po |
+ tr ' ' '\n' |
+ sed 's|^po/\(.*\)\.po$|\1|'